import { Injectable } from '@angular/core';

import {Http, RequestOptions, Response} from '@angular/http';

import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/map';
import { AuthHttp } from 'angular2-jwt';
import "rxjs/add/operator/timeout";
import "rxjs/add/operator/delay";
import {env} from "../../../../../../src/.env";

@Injectable()
export class AmicusService {

    public curUser;

    protected paramsString = '';

    constructor (private http: AuthHttp,) {
        this.getCurUser().subscribe( (data) => {
            this.curUser = data;
            console.log(this.curUser);
        });
    }

    public getCurUser(){
        return this.http.get(env('apiUrl') + '/flow/me').map(this.extractData);
    }

    protected extractData(res: Response) {
        let body = res.json();
        return body || { };
    }

}
