import { Injectable } from '@angular/core';

@Injectable()
export class SidebarService {
  private sidebarOpen: boolean = false;

  public toggleSidebar(){
    this.sidebarOpen = !this.sidebarOpen;
    this.sidebarOpen ? document.body.classList.add('page-sidebar-closed') : document.body.classList.remove('page-sidebar-closed');;
  }

  public getSidebar(){
    return this.sidebarOpen;
  }

}
