import {
    Component,
} from '@angular/core';
import { SidebarNotificationService } from '../shared/sidebar-notification.service';
import {QuestionsService} from "../../../modules/questions/shared/questions.service";

@Component({
    selector: 'sidebar-notification',
    templateUrl: './sidebar-notification.component.html',
})
export class SidebarNotificationComponent {

  constructor(protected sidebarNotification: SidebarNotificationService) {

  }

  private deleteNotification(id: number){
    this.sidebarNotification.deleteNotification(id).subscribe((data) => {
      this.sidebarNotification.notifications.forEach((notification,index) => {
        if ( notification.id === id ){
          this.sidebarNotification.notifications.splice(index,1);
        }
      });
    });
  }

    private deleteNotifications(id: number){
        this.sidebarNotification.deleteNotifications().subscribe((data) => {

            this.sidebarNotification.notifications = [];

        });
    }

}
