import { NgModule }      from '@angular/core';

import { CoreModule } from '../core/core.module';
import { StatisticsComponent } from './statistics.component';
import { routing } from './statistics.routes';
import { StatisticsTimeComponent } from './statistics-time/statistic-time.component';
import { StatisticsCountComponent } from './statistics-count/statistic-count.component';
import { StatisticsFilterComponent } from './statistics-filter/statistics-filter.component';
import { StatisticsService } from './shared/statistics.service';
import {StatisticsChartComponent} from "./statistics-chart/statistic-chart.component";
import {AmiChartComponent} from "./ami-chart.component";

@NgModule({
    imports: [
    ],
    declarations: [
        AmiChartComponent
    ],
    exports: [
        AmiChartComponent
    ],
    providers: []
})
export class AmiChartModule {}
