   import {
    Component, Input, OnInit, ViewContainerRef, ViewChild, ReflectiveInjector, ComponentFactoryResolver,
    Output, EventEmitter
} from '@angular/core';
   import * as moment from 'moment';

@Component({
    selector: 'ami-filter-date',
    templateUrl: './ami-filter-date.component.html',
    styleUrls: ['./ami-filter-date.component.scss']
})
export class AmiFilterDateComponent implements OnInit{

  @Input()  protected title: string;
  @Input()  protected options;
  @Output() protected setted: EventEmitter<any> = new EventEmitter();
  private show: boolean = false;
  protected moment = moment;

  constructor() {

  }

  ngOnInit(){
  }

  private changeProp(value: any){
      let dateParam = (typeof value === 'object') ? value.start.format('YYYY-MM-DD') + ":" + value.end.format('YYYY-MM-DD') : value;
      this.setted.emit(dateParam);
      this.show = false;
  }

  private showDatePicker(){
      let input: any = document.querySelector('input[daterangepicker]');
      let daterangpicker: any = document.querySelector('.daterangepicker');
      // input.click();
      daterangpicker.style.left = '311px';
      daterangpicker.style.top = '372px';
      if (!this.show){
          daterangpicker.style.display = 'none';
      }
  }

}

