   import {
    Component, Input, OnInit, ViewContainerRef, ViewChild, ReflectiveInjector, ComponentFactoryResolver,
    Output, EventEmitter
} from '@angular/core';
   import {AmiFilterService} from "../shared/ami-filter.service";


@Component({
    selector: 'ami-filter-search',
    templateUrl: './ami-filter-search.component.html',
})
export class AmiFilterSearchComponent implements OnInit{

  @Input() protected title: string;
  @Output() protected setted: EventEmitter<any> = new EventEmitter();

  constructor(private amiFilterService: AmiFilterService) {

  }

  ngOnInit(){
  }

  private changeProp(value){
      this.setted.emit(value);
  }

}

