   import {
    Component, Input, OnInit, ViewContainerRef, ViewChild, ReflectiveInjector, ComponentFactoryResolver,
    Output, EventEmitter
} from '@angular/core';
   import {AmiFilterService} from "../shared/ami-filter.service";


@Component({
    selector: 'ami-filter-simple',
    templateUrl: './ami-filter-simple.component.html',
})
export class AmiFilterSimpleComponent{

    @Input() protected filter: boolean;
    @Input() protected title: string;
    @Output() protected setted: EventEmitter<any> = new EventEmitter();

    private changeProp(){
        this.setted.emit(!this.filter);
    }

}

