import { Injectable, OnInit } from '@angular/core';
import { Http } from '@angular/http';
import { env } from '../../../../../../src/.env';

@Injectable()
export class UserService {

    constructor(protected http: Http) {
    }

    public loginUser(email: string, password: string) {
        if (!email && !password) {
            return null;
        }
        return this.http.post(env('apiUrl') + '/login', {
            email: email, password: password
        });
    }
}
