import { Injectable } from '@angular/core';

import { Http, Response }          from '@angular/http';

import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/map';
import { AuthHttp } from 'angular2-jwt';
import {env} from "../../../../../src/.env";

@Injectable()
export class StatusesService {

    private statusListUrl;

    constructor (private http: AuthHttp) {
        this.statusListUrl = env('apiUrl') + '/flow/list';
    }

    public getStatusList() {
        return this.http.get(this.statusListUrl).map(this.extractData);
    }

    protected extractData(res: Response) {
        let body = res.json();
        return body || { };
    }

}
